> ## Documentation Index
> Fetch the complete documentation index at: https://developers.orchestrasolutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Brand Lookup

> This method allows you to lookup the brand of the card provided. By providing the card's BIN / IIN (the first 6 to 11 digits of the card number), we lookup and return the brand of the card (Visa, Mastercard, Amex, etc.). In addition, we will also provide the URL to the logo of the card brand - you can then reference this image in your card capture form.



## OpenAPI

````yaml get /Tools/brand
openapi: 3.0.4
info:
  title: Orchestra API
  description: Code Version 1.0.11.6
  version: Prod
servers:
  - url: https://api.orchestrasolutions.com
security: []
tags:
  - name: AP2
    description: Test AP2 controller
  - name: EWalletOperations
    description: Card operations controller
  - name: MockCredentialProvider
    description: |-
      Mock Credential Provider controller implementing JSON-RPC 2.0 protocol
      Used for testing AP2 checkout flows
  - name: PaymentGatewayAccounts
    description: Payment Gateway Accounts
  - name: PaymentGateway
    description: Universal Payment Gateway
  - name: StringTokens
    description: Token management
  - name: Tools
    description: >-
      Card tools for BIN/IIN lookup, brand identification, Luhn validation, and
      card risk assessment
  - name: Utils
    description: Utils
paths:
  /Tools/brand:
    get:
      tags:
        - Tools
      summary: Brand Lookup
      description: >-
        This method allows you to lookup the brand of the card provided. By
        providing the card's BIN / IIN (the first 6 to 11 digits of the card
        number), we lookup and return the brand of the card (Visa, Mastercard,
        Amex, etc.). In addition, we will also provide the URL to the logo of
        the card brand - you can then reference this image in your card capture
        form.
      operationId: BrandLookup
      parameters:
        - name: iin
          in: query
          description: Card's BIN / IIN (the first 6 to 11 digits of the card number)
          required: true
          schema:
            type: string
            pattern: \d{6,11}
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayTools_Api.Models.BrandLookupResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.ValidationErrorMessage
        '401':
          description: Not authenticated
        '404':
          description: BIN not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PayTools_Api.Models.BrandLookupResult:
      type: object
      properties:
        brand:
          type: string
          description: >-
            The card's brand that was identified (e.g. VISA, MASTERCARD,
            AMERICAN EXPRESS)
        brandLogoUrl:
          type: string
          description: The URL to the brand logo image
      additionalProperties: false
      description: Output model for Brand lookup
    PayTools_Shared.Models.ValidationErrorMessage:
      type: object
      properties:
        fieldName:
          type: string
          description: Field name the error(s) are referring to
          nullable: true
        errors:
          type: array
          items:
            type: string
          description: List of errors
          nullable: true
      additionalProperties: false
      description: Model for display validation error messages
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Please enter ApiKey into field
      name: X-Api-Key
      in: header

````